html {
	height: 100%;
}

body {
	height: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	font-family: 'Open Sans', 'sans-serif';
	font-size: 16px;
}

main {
	max-width: 1000px;
	background: #fcfcfc;
	padding: 1em;
	border-radius: 6px;
}
footer {
	margin: 0 -1em -1em 0;
	padding: 0 3px 3px 0;
	text-align: right;
	font-style: italic;
	font-size: 0.8em;
	font-weight: bold;
	color: #999;
}

a {
	color: #3035A4;
	text-decoration: none;
	cursor: pointer;
}
a:hover { text-decoration: underline; }

h1 {
	margin-top: 0;
	text-align: center;
	padding-bottom: 3px;
	border-bottom: 1px solid #ddd;
}
* + h1 { margin-top: 1em; }

h2 {
	margin-bottom: 5px;
	font-size: 1.1em;
	font-style: italic;
}

label {
	display: inline-block;
	width: 140px;
}
input {
	padding: 2px 3px;
	border: 1px solid #ddd;
	font-size: 1em;
	width: 140px;
}
input:invalid { outline: 2px dashed red; }
.sub {
	color: #999;
	font-size: 0.9em;
	margin-left: 4px;
}

